﻿$ErrorActionPreference = 'Stop'

$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$configFilename = 'config.xml'

$url64          = 'https://getonetastic.com/downloadFile&fv=0&file=OnetasticInstaller.x64.exe&agree=1'
$checksum64     = '7f02928cfa21aefc55e143c56d978a8d5c14fef8c4214fd1659d2ff5c7370416'

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    fileType       = 'EXE'
    url            = 'https://getonetastic.com/downloadFile&fv=0&file=OnetasticInstaller.x86.exe&agree=1'
    checksum       = 'F5D7FF5B70B05D82972C862201A1258467422EA4D6DA24A659CAE4FF89C25819'
    checksumType   = 'SHA256'
    silentArgs     = "/config $(Join-Path -Path $toolsDir -ChildPath $configFilename)"
    validExitCodes = @(0)
}

$arguments = Get-PackageParameters
if ($arguments.ContainsKey("OneNotex64")) {
    Write-Verbose 'Installing the x64 version of Onetastic.'
    Write-Verbose 'You only need to do this IF you are running the x64 version of Microsoft OneNote. This has nothing to with the Operating System!' 
    $packageArgs.url = $url64
    $packageArgs.checksum = $checksum64
}

Install-ChocolateyPackage @packageArgs
